using MGdu.WinFormUI;
using MGdu.WinFormUI.MyGraphics;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
namespace RySkins
{

    public class ThemeForm : ThemeFormBase
    {
        /// <summary>
        /// DevExpress风格皮肤
        /// </summary>
        public ThemeForm()
            : base()
        {
            ThemeName = "Default";
            ryControls.Skin.SkinCommon.ButtonSkin.BackColor = Color.FromArgb(2, 60, 162);
            ryControls.Skin.SkinCommon.ButtonSkin.ColorGradient = true;
            CaptionBackColorTop = Color.FromArgb(232, 232, 232);
            CaptionBackColorBottom = Color.FromArgb(248, 248, 248);
            CaptionTextColor = Color.Gray;
            BorderWidth = 1;
            //CaptionHeight = 30;
            IconSize = new Size(22, 22);
            //ControlBoxOffset = new Point(8, 8);
            //ControlBoxSpace = 2;
            SideResizeWidth = 4;
            UseDefaultTopRoundingFormRegion = false;


            RoundedStyle = RoundStyle.None;
            FormBorderOutterColor = Color.Gray;
            FormBorderInnerColor = Color.White;
            SetClientInset = false;
            ShowShadow = false;
            CaptionTextCenter = false;
            MinBoxColor = new ButtonColorTable();
            MaxBoxColor = new ButtonColorTable();
            CloseBoxColor = new ButtonColorTable();
            Mdi_TabActiveBackColorTop = Color.White;
            Mdi_TabActiveBackColorBottom = Color.FromArgb(248, 248, 248);
            Mdi_TabDeactiveBackColorTop = Color.FromArgb(230, 230, 230);
            Mdi_TabDeactiveBackColorBottom = Color.FromArgb(230, 230, 230);
        }
    }
    public class ThemeTabForm : ThemeFormBase
    {
        /// <summary>
        /// DevExpress风格皮肤
        /// </summary>
        public ThemeTabForm()
            : base()
        {
            ThemeName = "TabForm";
            IconSize = new Size(16, 16);
            IconLeftMargin = 8;
            BorderWidth = 1;
            CaptionHeight = 26;
            ryControls.Skin.SkinCommon.ButtonSkin.BackColor = Color.FromArgb(2, 60, 162);
            ryControls.Skin.SkinCommon.ButtonSkin.ColorGradient = true;
            CaptionBackColorTop = Color.FromArgb(232, 232, 232);
            CaptionBackColorBottom = Color.FromArgb(248, 248, 248);
            CaptionTextColor = Color.Gray;
            FormBackColor = Color.FromArgb(242, 242, 242);
            FormBorderOutterColor = Color.Gray;
            FormBorderInnerColor = Color.Gray;
            FormBorderInmostColor = Color.Gray;
            // shadow
            SideResizeWidth = 6;
            ShowShadow = false;
            ShadowWidth = 2;
            ShadowColor = Color.Gray;
            ShadowAValueDark = 50;
            ShadowAValueLight = 0;
            UseShadowToResize = true;
            base.Mdi_TabActiveBackColorTop = Color.White;
            base.Mdi_TabActiveBackColorBottom = Color.FromArgb(248, 248, 248);
            base.Mdi_TabDeactiveBackColorTop = Color.FromArgb(230, 230, 230);
            base.Mdi_TabDeactiveBackColorBottom = Color.FromArgb(230, 230, 230);
            //base.Mdi_TabDeactiveForeColor = Color.FromArgb(244, 246, 247);
            CloseBoxSize = MaxBoxSize = MinBoxSize = new Size(30, 23);
            ControlBoxOffset = new Point(1, 1);
            ControlBoxSpace = 0;

            ButtonColorTable closeTable = new ButtonColorTable();
            closeTable.ForeColorNormal = closeTable.ForeColorHover
                = closeTable.ForeColorPressed = Color.Gray;
            closeTable.BackColorHover = Color.FromArgb(217, 71, 71);
            closeTable.BackColorPressed = Color.FromArgb(188, 52, 52);
            CloseBoxColor = closeTable;

            ButtonColorTable minTable = new ButtonColorTable();
            minTable.ForeColorNormal = minTable.ForeColorHover
                = minTable.ForeColorPressed = Color.Gray;
            minTable.BackColorHover = Color.FromArgb(67, 139, 221);
            minTable.BackColorPressed = Color.FromArgb(50, 125, 210);
            MinBoxColor = MaxBoxColor = minTable;
            base.Mdi_NewTabBtnSize = new Size(24, 24);
            base.Mdi_NewTabBtnBottomSpace = 1;
            ButtonColorTable NewTabBtnTable = new ButtonColorTable();
            NewTabBtnTable.ForeColorNormal = NewTabBtnTable.ForeColorHover
                = NewTabBtnTable.ForeColorPressed = Color.Gray;
            NewTabBtnTable.BackColorHover = Color.White;
            NewTabBtnTable.BackColorPressed = Color.WhiteSmoke;
            base.Mdi_NewTabBtnColor = NewTabBtnTable;
            base.Mdi_ListAllBtnSize = new Size(24, 24);
            base.Mdi_ListAllBtnBottomSpace = 1;
            base.Mdi_ListAllBtnColor = NewTabBtnTable;
            base.Mdi_TabMinWidth = 70;
            base.Mdi_TabNormalWidth = 100;
            base.Mdi_TabMaxWidth = 145;
            base.Mdi_AlwaysShowListAllBtn = false;
            base.Mdi_BarBottomRegionHeight = 0;
            base.Mdi_TabShowBorder = false;
            base.Mdi_ShowTabCloseIcon = true;
        }
    }
}
